﻿@model List<CurrencyTypeViewModel>
@{
    ViewBag.Title = "لیست رمز ارزها";
    ViewBag.MetaDescription = "پول های الکترونیکی و رمز ارزها در اکس تومن، بیت کوین، اتریوم، لایت کوین، نئو و ...";
    ViewBag.MetaKeywords = string.Join(",", Model.Select(p => p.Name).ToList());
}

<div class="container">
    <div class="row mt-3">
        <div class="col-md-12">
            <h1 class="page-title"><span>@ViewBag.Title</span></h1>
            <div class="card">
                <div class="card-block">
                    <div class="card-body">
                        <ul class="list-unstyled">
                            @foreach (var item in Model)
                            {
                                <li><h4><a href="@Url.RouteUrl("CurrencyType", new { url = item.Url })">@item.Name (@item.AlternativeName)</a></h4></li>
                                <li>
                                    <ul>
                                        @foreach (var cur in Model)
                                        {
                                            if (item.Name != cur.Name)
                                            {
                                                if (item.Type == Xtoman.Domain.Models.ECurrencyType.Shetab)
                                                {
                                                    <li><a href="@Url.RouteUrl("ExchangeBuy", new { toUrl = cur.Url })">خرید @cur.Name با ریال و تومان</a></li>
                                                }
                                                else if (cur.Type == Xtoman.Domain.Models.ECurrencyType.Shetab)
                                                {
                                                    <li><a href="@Url.RouteUrl("ExchangeSell", new { fromUrl = item.Url })">فروش @item.Name با ریال و تومان</a></li>
                                                }
                                                else
                                                {
                                                    <li><a href="@Url.RouteUrl("Exchange", new { fromUrl = item.Url, toUrl = cur.Url })">تبدیل @item.Name به @cur.Name</a></li>
                                                }
                                            }
                                        }
                                    </ul>
                                </li>
                            }
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>